use v5.12.0;
use warnings;


package HMP;
use PadWalker qw/peek_sub closed_over peek_our peek_my/;
use Data::Dump qw/pp dd/;
use B::Terse;

sub hmp (&){
    pp my $block = shift;
    pp "peek_our: ", peek_our(0);
    pp "peek_my: ",peek_my(1);
    pp "peek_sub: ",peek_sub($block);
}


package OTHER;

our ($other ) = ("OTHER");
package main;


our ($our,$our0) = ("OUR","OUR0");
my ($my,$my0) = ("MY","MY0");

use vars qw/$PKG/;

$PKG="PKG";




HMP::hmp { "$my,$our,$PKG" };




    
